import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class LoadingView {
  BuildContext context;

  LoadingView(this.context);

  show() {
    showCupertinoModalPopup(
      context: this.context,
      builder: (context) => Container(
        color: Colors.black87.withOpacity(0.3),
        alignment: Alignment.center,
        child: CircularProgressIndicator(
          valueColor: new AlwaysStoppedAnimation<Color>(Colors.greenAccent),)
        
      ),
    );
  }

  hide(){
    Navigator.pop(context);
  }
}
